Page MenuHomePhabricator

Schedule RT migration for Thu 18 Dec 00:00UTC (Wed 17 Dec 16:00PST) until Thu 18Dec 08:00UTC (00:00PST)
Closed, ResolvedPublic

Description

I talked to @mark today and he wants to get the relevant queues ported to Phabricator asap. I think we can meet the Dec 12th timeline.

This means Phab down for that day, can we announce and make this happen? It seems like a week is sufficient time?

Event Timeline

chasemp created this task.Dec 4 2014, 9:17 PM
chasemp raised the priority of this task from to Unbreak Now!.
chasemp updated the task description. (Show Details)
chasemp changed Security from none to None.
chasemp added projects: Phabricator, acl*sre-team.
chasemp added subscribers: chasemp, mark, Qgil and 2 others.

Let's do it!

00:30 UTC like last time?

Yay!
I'm curious about the guestimation timeframe (for how long Phab might be down) to communicate, and how I/we can help (I have parttime plans for that UTC Friday but will definitely be around when needed!).

Qgil added a subscriber: greg.Dec 4 2014, 10:14 PM

@greg, are you in?

Communicated to WMF Engineering and Product management.

Qgil added a comment.EditedDec 4 2014, 11:03 PM

Should we enable Countdown here? See https://phab-01.wmflabs.org/

PS: the fan of my laptop seems to love it...

Can we make it not do seconds? That is wholly distracting :)

I have no idea, but this countdown doesn't have (m)any configuration options.

Let's agree first on the exact time that RT and Phabricator will be pulled down to start the migration. @chasemp and @greg must agree on a reasonable timing. The hard deadline for the decision must be the end of Greg's Roadmap and Deployments weekly meeting today at 19:00 UTC. Once the time is confirmed, we will announce the migration plan.

Keeping the Unbreak Now priority while we confirm the migration start time.

mark added a comment.Dec 5 2014, 9:42 AM

Ouch, I wasn't aware that this downtime would affect Phabricator as well as RT. I think RT (with its relatively limited, internal user base) can be down for 24 hours with little notice, but for Phabricator at this point we should do better. Is (long) Phabricator downtime strictly necessary for this? If it is, we should probably do this during a weekend again, and with much more notice to other teams.

chasemp changed the task status from Open to Stalled.Dec 5 2014, 3:07 PM

Currently evaluating our needs here

Qgil lowered the priority of this task from Unbreak Now! to High.Dec 5 2014, 6:57 PM

After some more discussions:

  • Not on Friday 12, probablky the following week.
  • Chase is working on a more precise time estimation of the migration, especially how long Phabricator needs to be down.
  • We don't want to get into end of year, we cannot do it easily on a weekend, having the Ops team around while touching RT sounds like a good idea.
  • A possibility (to be confirmed when we have the estimation) would be to start at 2pm Pacific and continue until it's done, late night. This is perceived as a reasonable compromise.

Still high priority, we will try to decide on Monday-Tuesday next week.

Qgil renamed this task from Schedule RT migration for Dec 12th 2014 to Schedule RT migration.Dec 8 2014, 7:18 AM
Qgil updated the task description. (Show Details)
Qgil removed a project: Phabricator.

@mark requested next Wednesday, discussed in ops meeting. Objections? (4 or 6 P.M. PST to midnight or 2A.M.)

Sounds good! 4pm, for your own sanity?

I think that would be ok, yes. The earlier times are much easier for me as they don't extend into the twilight hours as much.

@greg, are you ok with Wednesday 17 December at 4pm Pacific? If you are, then this is a decision.

greg added a comment.Dec 9 2014, 10:18 PM

Yeah, that should be fine.

What kind of downtime for phab are we expecting?

4 P.M. - Midnight maintenance.

@Aklapper, can you take care of the announcements? I would do it after the short maintenance break today, not to confuse people, but still today, a week before the migration.

Aklapper renamed this task from Schedule RT migration to Schedule RT migration for Thu 18 Dec 00:00UTC (Wed 17 Dec 16:00PST) until Thu 18Dec 08:00UTC (00:00PST).Dec 10 2014, 2:01 PM
In T76773#836325, @Qgil wrote:

@Aklapper, can you take care of the announcements?

Yeah, though really wondering where to make these announcements (we didn't document this in T473).

  • wikitech-l and mediawiki-l are obvious candidates
  • but does e.g. a banner on mediawiki.org make sense or is that overkill?
  • Custom widget on the frontpage of https://phabricator.wikimedia.org (which probably not many people will see)?

And where do we redirect in those eight hours? Recycle https://www.mediawiki.org/wiki/Phabricator/Bugzilla_migration_weekend ? Abuse https://www.mediawiki.org/wiki/Phabricator/Maintenance ? New page?

Aklapper updated the task description. (Show Details)Dec 10 2014, 2:16 PM

Banner on mediawiki.org sounds like an overkill indeed.

Custom widget, you can recycle the one we have now.

Landing page for the redirect, see T76989

No banners on mediawiki.org for the RT migration. I suggest you don't bother sending to mediawiki-l.

I might suggest a site notice on wikitech perhaps?

I suggest you don't bother sending to mediawiki-l.

Why not? Not that we are not only announcing the RT migration, we are also announcing that Phabricator will be down 8 hours.

MediaWiki-l
MediaWiki announcements and site admin list
This is a multilingual list for help/support with running/configuring MediaWiki. It is intended for people who are running wikis with the MediaWiki software and for announcements of new versions, bug fixes, and security issues.
The announcements are available without the discussion in the mediawiki-announce list. Active development discussion will generally be in wikitech-l.

OK, fair. :)

Sent announcement email to 'wikitech-l', 'mediawiki-l' and internal 'engineering':
https://lists.wikimedia.org/pipermail/wikitech-l/2014-December/079816.html

Dzahn added a subscriber: Dzahn.Dec 12 2014, 1:49 PM

so since you sent the announcements i guess that makes this task resolved. because now it's scheduled. right?

Qgil closed this task as Resolved.Dec 12 2014, 4:05 PM
Qgil claimed this task.

remove notice from phab front page? (or change to past tense)

Ooops! Done. Thank you.